മൂന്ന് സ്കീമുകൾ
ഓരോ സ്കീമും ശരിയായ ആപ്പിന് കൈമാറാൻ ഫോണിന് അറിയാവുന്ന ചെറിയ ടെക്സ്റ്റ് ഭാഗമാണ്. mailto: ഇമെയിൽ ആപ്പ് തുറക്കുന്നു, tel: ഡയലർ തുറക്കുന്നു, sms: മെസേജിംഗ് ആപ്പ് തുറക്കുന്നു; സ്വീകർത്താവും ചിലപ്പോൾ സന്ദേശവും മുൻകൂട്ടി പൂരിപ്പിച്ചിരിക്കും.
മറ്റ് രാജ്യങ്ങളിൽ നിന്നുള്ള സന്ദർശകർക്കും കോഡ് പ്രവർത്തിക്കാൻ, +15035550123 പോലെ പ്ലസ് ചിഹ്നവും രാജ്യ കോഡുമുള്ള ഇന്റർനാഷണൽ ഫോർമാറ്റിലാണ് ഫോൺ നമ്പറുകൾ ഏറ്റവും നന്നായി പ്രവർത്തിക്കുന്നത്.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (പഴയ കീഴ്വഴക്കം, ഇപ്പോഴും വ്യാപകമായി വായിക്കുന്നു)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (പഴയ ഇമെയിൽ കീഴ്വഴക്കം)
സന്ദേശ ടെക്സ്റ്റ് എൻകോഡ് ചെയ്യൽ
mailto, sms ലിങ്കുകളിലെ വിഷയങ്ങളും സന്ദേശ ഭാഗങ്ങളും പെർസെന്റ്-എൻകോഡ് ചെയ്യണം; അതിനാൽ സ്പേസ് %20 ആകുന്നു, ടെക്സ്റ്റിനുള്ളിലെ ആംപേഴ്സൻഡ് %26 ആകുന്നു. എൻകോഡ് ചെയ്യാത്ത അക്ഷരങ്ങൾ സന്ദേശം മുറിക്കുകയോ ലിങ്ക് തകർക്കുകയോ ചെയ്യാം.
sms body പാരാമീറ്റർ പ്ലാറ്റ്ഫോമുകൾ എല്ലായ്പ്പോഴും ഒരേ പോലെ പാഴ്സ് ചെയ്തിട്ടില്ല; QR ജനറേറ്ററുകളിൽ പഴയ SMSTO: രൂപം ഇപ്പോഴും സാധാരണമാകാനുള്ള ഒരു കാരണം ഇതാണ്. പ്രിന്റ് ചെയ്യുന്നതിന് മുമ്പ് iPhone ലും Android ലും ടെസ്റ്റ് ചെയ്യുന്നതാണ് വിശ്വസനീയമായ പരിശോധന.
ഈ കോഡുകൾക്ക് ചെയ്യാൻ കഴിയാത്തത്
QR കോഡിന് സ്വയം ഇമെയിൽ അയയ്ക്കാനോ ടെക്സ്റ്റ് അയയ്ക്കാനോ കോൾ വിളിക്കാനോ കഴിയില്ല. അത് ഫീൽഡുകൾ പൂരിപ്പിച്ച് ആപ്പ് തുറക്കുക മാത്രമാണ് ചെയ്യുന്നത്; അയയ്ക്കണോ വിളിക്കണോ എന്ന് സ്കാൻ ചെയ്യുന്നയാൾ തീരുമാനിക്കുന്നു.
അയയ്ക്കുന്നതിന് മുമ്പ് സ്വീകർത്താവ് ദൃശ്യമാകുന്നതിനാൽ, അത് പ്രതീക്ഷിക്കുന്നതുമായി പൊരുത്തപ്പെടുന്നുണ്ടോ എന്ന് ആളുകൾ പരിശോധിക്കണം. പ്രീമിയം-റേറ്റ് നമ്പറിലേക്കോ അപരിചിത വിലാസത്തിലേക്കോ സന്ദേശം മുൻകൂട്ടി പൂരിപ്പിക്കുന്ന കോഡ് മുന്നറിയിപ്പ് സൂചനയാണ്.